Skip to main content
`Ctrl`+`K`

# SNESVIGetVariableBounds

Gets the lower and upper bounds for the solution vector. `xl` <= x <= `xu`. These are used in solving (differential) variable inequalities.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVIGetVariableBounds(SNES snes, Vec *xl, Vec *xu)

## Input Parameters

- snes - the `SNES` context.

- xl - lower bound (may be `NULL`)

- xu - upper bound (may be `NULL`)

## Note

These vectors are owned by the `SNESVI` and should not be destroyed by the caller

## See Also

Variational Inequalities, `SNES`, `SNESVISetVariableBounds()`, `SNESVISetComputeVariableBounds()`, `SNESSetFunctionDomainError()`, `SNESSetJacobianDomainError()`, `SNESVINEWTONRSLS`, `SNESVINEWTONSSLS`, `SNESSetType()`, `PETSC_NINFINITY`, `PETSC_INFINITY`

## Level

advanced

## Location

src/snes/impls/vi/vi.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages